using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.FO
{
    [Description("其他附件")]
    public class T_FO_ENTERPRISE_INFORMATION_REGISTRATION_FILE : MesEntityBase
    {
        [Description("企业登记表")]
        [DataFieldForeignKey("Nav_Company", "Nav_Files")]
        public Guid ENTERPRISE_INFORMATION_REGISTRATION_ID { get; set; }

        [Description("导航属性：企业登记表")]
        public virtual T_FO_ENTERPRISE_INFORMATION_REGISTRATION Nav_Company { get; set; }

        [Description("文件ID")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid? IMG_FILE_ID { get; set; }

        [Description("导航属性：文件")]
        public virtual T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}
